
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>聊聊界面渲染引擎——UI Engine的前世今生 / iVAN</title>

    <meta name="description" content="聊聊界面渲染引擎——UI Engine的前世今生 话说20世纪90年代出现了互联网,一开始只是用来看看静态文档.但是人们发现在浏览器网页上通过几个输入控件就可以做类似于发邮件之类的事情,慢慢就有了交互的概念.以cgi,pl,php,asp为代表的模板(template)语言盛行,它们可以生成动态网页,于是第一代界面渲染技术诞生了. 后来,随着页面功能慢慢复杂,服务端runtime逐渐被面向对象语言Java领导的servlet/jsp技术占据主流,并提出了MVC模型的概念.这后来也成为J2EE企业级开发web层的编程规范. 再到后来,人们对网页交">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">聊聊界面渲染引擎——UI Engine的前世今生</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>话说20世纪90年代出现了互联网，一开始只是用来看看静态文档。但是人们发现在浏览器网页上通过几个输入控件就可以做类似于发邮件之类的事情，慢慢就有了交互的概念。以cgi,pl,php,asp为代表的模板(template)语言盛行，它们可以生成动态网页，于是第一代界面渲染技术诞生了。</p>
<p>后来，随着页面功能慢慢复杂，服务端runtime逐渐被面向对象语言Java领导的servlet/jsp技术占据主流，并提出了MVC模型的概念。这后来也成为J2EE企业级开发web层的编程规范。</p>
<p>再到后来，人们对网页交互能力的要求越来越高，浏览器中脚本语言（javascript）的能力也越来越强，可以大大增强渲染效果并提高交互体验。还有css技术也分离出来，网页可以拥有更漂亮的布局和样式。于是前端开发的三架马车出现了。</p>
<p>这时候涌现了大量的前端框架，比较有名的有ext、prototype、jquey等。这也就是第二代渲染技术，即先采用template语言在服务端渲染出页面骨架，然后再到客户端Browser继续渲染细节的部分。这个技术的最高水平也是sun公司提出的，叫JSF（Java Server Faces），他还首次提出了组件树、组件生命周期管理、数据绑定等界面渲染的新指导思想。</p>
<p>正在这时候，我进入了阿里巴巴集团B2BCRM，跟随牛人一起开发了一个牛X的前端框架（shy3），采用了当时非常先进的XML语言来定义界面语义，然后通过template渲染，再加上js渲染，实现了当时软件开发的极致速度，增删改查功能半天就能搞定。</p>
<p>再到后来，随着互联网公司的群雄征战，以Google、Facebook公司为首的前端开发工程师又一次做了颠覆性创新，他们极致地提高浏览器、js引擎的性能，并在2011年提出了HTML5标准，并且css和http协议也相继跟进，近期javascript已经完成了ES6的标准制定，正在迈向ES7。。。。，还有移动互联网时代也到来了，又需要软件开发能够覆盖到三个端（PC、Pad、Mobile）。这时候涌现的技术标准有MVVM（提出了directive、双向绑定等概念）。于是最近期干脆有人提出界面渲染引擎——UI Engine的概念，即在JS Runtime之上搭建一层界面渲染层，写一次代码就可以实现三端合一，前端开发速度将进一步提升！</p>
<p>这也就是第三代渲染技术时代的到来！比较代表的技术有前两年的angular、近期的React、以及最近淘系前端团队刚刚开源的Weex技术等。</p>
<p>最后总结一下最新一代UI Render Engine的三大特征：<br />
1、组件生命周期管理<br />
2、基础组件定义<br />
3、虚拟Dom技术实现双向绑定</p>
<p>各位开发工程师亲们，让我们拥抱前端开发的这些变化，这样才能在软件开发领域一直立于不败之地。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 20:38:13</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%b5%8f%e8%a7%88%e5%99%a8/" title="浏览器">浏览器</a>, <a href="https://www.iamivan.net/tag/%e6%9e%b6%e6%9e%84/" title="架构">架构</a>, <a href="https://www.iamivan.net/tag/%e4%ba%92%e8%81%94%e7%bd%91/" title="互联网">互联网</a>, <a href="https://www.iamivan.net/tag/%e7%a7%bb%e5%8a%a8%e4%ba%92%e8%81%94%e7%bd%91/" title="移动互联网">移动互联网</a>, <a href="https://www.iamivan.net/tag/%e9%98%bf%e9%87%8c%e5%b7%b4%e5%b7%b4/" title="阿里巴巴">阿里巴巴</a>, <a href="https://www.iamivan.net/tag/%e9%9d%a2%e5%90%91%e5%af%b9%e8%b1%a1/" title="面向对象">面向对象</a>, <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.iamivan.net/tag/%e9%98%bf%e9%87%8c%e6%8a%80%e6%9c%af%e5%8d%8f%e4%bc%9a/" title="阿里技术协会">阿里技术协会</a>, <a href="https://www.iamivan.net/tag/%e8%bd%af%e4%bb%b6%e5%bc%80%e5%8f%91/" title="软件开发">软件开发</a>, <a href="https://www.iamivan.net/tag/%e5%89%8d%e7%ab%af%e4%b8%8e%e4%ba%a4%e4%ba%92%e8%ae%be%e8%ae%a1/" title="前端与交互设计">前端与交互设计</a>, <a href="https://www.iamivan.net/tag/%e5%89%8d%e7%ab%af%e5%bc%80%e5%8f%91/" title="前端开发">前端开发</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>聊聊界面渲染引擎——UI Engine的前世今生的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPLjQAp.html" rel="bookmark">APICloud 优化渲染引擎上线，解决 App 开发适配难题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				APICloud渲染优化引擎,经过为期3个月的Beta版计划,历经上万开发者及商业APP.数十万台真实手机参与测试,于4月5日正式上线,合入DeepEngine中. Web工程师使用HTML5等标准Web技术开发拥有原生体验和原生功能的APP,Deep Engine使用半翻译式原理,运行中将Web翻译成Native API,强大的混合渲染引擎提供更佳的性能体验. 一.优化后的引擎带来哪些性能提升: 1.窗口切换动画帧率得到有效提升,可达到50 fps以上,动画渲染效果与原生无差异 2.页面滚动性			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnxg0Kb.html" rel="bookmark">统一模式的WebKit浏览器渲染引擎的利弊</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Opera宣布转向使用开源的WebKit引擎 在本周前几天,欧朋浏览器(Opera)宣布正在逐步关闭其独立浏览器渲染引擎(brower rendering engine)的相关开发工作,继而转向使用开源的WebKit引擎,该消息很快引起了不小的轰动. WebKit引擎支持谷歌安卓系统和苹果IOS系统的内置浏览器,在移动领域,WebKit引擎实际上已经成为了移动浏览器内核开发的标准,而且它也非常可能成为桌面浏览器的内核标准.在全球范围内Chrome浏览器已经遥遥领先以Trident排版引擎为内核的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwyLEkM.html" rel="bookmark">Android WebView启动Chromium渲染引擎的过程分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 首先感谢罗升阳的分享,原文链接http://blog.csdn.net/Luoshengyang/article/details/53237189   Android WebView加载了Chromium动态库之后,就可以启动Chromium渲染引擎了.Chromium渲染引擎由Browser.Render和GPU三端组成.其中,Browser端负责将网页UI合成在屏幕上,Render端负责加载网页的URL和渲染网页的UI,GPU端负责执行Browser端和Render端请求的GPU命令.本文			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYRRvlp.html" rel="bookmark">win10预览版10041无斯巴达浏览器 IE浏览器Edge渲染引擎更新</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  3月19日消息,微软在官方IE博客中不仅确认了斯巴达浏览器预览版将包含在下个Win10版本中,而且还列出了本次Build 10041版本中IE浏览器Edge渲染引擎更新的细节.本次更新的引擎功能是斯巴达浏览器的一部分,感兴趣的用户可以暂时用IE浏览器实验功能来&quot;抢先&quot;体验. 本次更新的渲染引擎内容比较丰富,主要包括以下几个方面: • 提升ECMAScript 6兼容性(在当前Win10预览版的Kangax ES6兼容性测试中提高74%) • 扩展支持DOM L3 XPath • 支			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOlqeRb.html" rel="bookmark">浅析渲染引擎与前端优化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文主要是两方面内容: 浅析浏览器内核的工作原理(以 WebKit 2 为例). 浅析由浏览器内核想到的前端优化,或者说前端优化规则是从哪儿来的. 大家知道,大部分的 WEB 页面依托浏览器呈现,而浏览器能够将页面展示出来,基本依赖于浏览器的内核,即渲染引擎.今天以 Chrome 浏览器的内核 WebKit(更确切是 WebKit 分支 Blink,以下统称为 WebKit )为例,对渲染引擎如何展示页面做个简单.全面的了解. 浏览器的渲染引擎及其依赖模块 渲染引擎主要是将 WEB 资源如 HT			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boRkk6z.html" rel="bookmark">jsp-Struts中有没有办法在渲染每个UI控件时都执行一段代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Struts中有没有办法在渲染每个UI控件时都执行一段代码 我有这么个需求:希望能通过数据库配置来指定每个页面上的每个UI控件是否最终显示出来.表结构例如: page | component_id | is_display 有什么办法能够加个拦截器之类的东西,在Struts渲染每个UI控件之前能执行这个拦截器,在拦截器里能取到当前被渲染的控件对象,并修改控件对象的属性吗? 我只知道Struts有Interceptor,但貌似只是拦截后台Action的,不知道是不是能处理UI控件. 请各			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOnvRxp.html" rel="bookmark">AMD 开源照片级渲染引擎 Radeon ProRender</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				除了Radeon Pro WX.Radeon Pro Solid State两款全新的专业显卡,AMD今天还宣布,Radeon ProRender渲染引擎即将开放源代码,开发人员可任意使用.AMD去年发起了GPUOpen项目,是其有史以来最大规模的开源工程,游戏.图形.计算开发者可以从AMD那里得到几乎所有需要的资源,包括开发套件.效果库等等.Radeon ProRender引擎的开源就是该项目的一部分. 该引擎此前叫做FireRender,是一个纯粹基于物理的渲染引擎,采用OpenCL计算标准			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlAG2Vp.html" rel="bookmark">Chrome 渲染引擎 Blink 的 2014 年计划</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Google工程师公布了Chrome渲染引擎Blink的2014年工作目标.Google在2013年4月宣布从WebKit切换到Blink.Blink的2014年目标主要是集中在改进移动版性能,包括改进平滑滚动.动画和输 入响应,以及减少内存占用和电力消耗. 其它目标集中在改进浏览器移动Web平台,模糊本地应用和浏览器Web应用的界限,支持应用离线模式,Web应用支 持推送通知和硬件特定功能. Google还将继续从Blink中清理它不需要的代码.Blink的路线图过度向移动倾斜可能与Boss			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVDjNQM.html" rel="bookmark">Chrome将基于WebKit开发自主渲染引擎Blink</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				硅谷网讯 据腾讯科技(玉临)北京时间4月4日消息,据国外媒体报道,今天互联网上发生了一件大事:谷歌(微博)对外宣布,将停止使用WebKit作为Chrome浏览器的渲染引擎,但WebKit并不会马上被淘汰,而是作为全新渲染引擎&quot;Blink&quot;的后台技术.谷歌表示,此举是为了减少WebKit的复杂度,从而加快Chrome浏览器的开发进度.一直以来,Chrome所使用的网页加载机制(&quot;多进程架构&quot;,某一个标签页的崩溃不会影响到整个浏览器)就与其他浏览器有些不同,它还试图将软			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRwwKp.html" rel="bookmark" class="title">Win7系统桌面图标有蓝色问号怎么解决？</a>
					<div>
						  Win7系统桌面图标有蓝色问号怎么解决? 1.打开&quot;计算机&quot;,点击&quot;组织&quot;选择&quot;文件夹和搜索选项&quot;; 2.在&quot;文件夹选项&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeRn7b.html" rel="bookmark" class="title">JSON Schema 那些事儿：基本概念</a>
					<div>
						引子 在早期的淘宝 TMS 页面搭建系统中,为了解决页面模板和数据的分离问题,机智的先知们扩充了一系列灵活的 PHP 标签函数,得以将数据的定义从模板视图中解耦出来.以其中一个最为常用的函数为例: _ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5R87z.html" rel="bookmark" class="title">Java中vector理解2&mdash;&mdash;vector和arrayList的区别</a>
					<div>
						这两类都实现List接口,而List接口一共有三个实现类,分别是ArrayList.Vector和LinkedList.List用于存放多个元素,能够维护元素的次序,并且允许元素的重复.3个具体实现类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPlP8p.html" rel="bookmark" class="title">17款最优秀的体育类网站与APP设计</a>
					<div>
						  在过去的几年当中,因为工作原因,我有幸参与了一些著名体育品牌的网站与APP设计,在此过程中,我花费了大量的时间和精力来研究体育类网站和APP,对于整个市场有了比较清晰的认知.通过对比,我发现绝大多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mvqx5b.html" rel="bookmark" class="title">CSS教程&colon;闭合CSS浮动元素的几种方法</a>
					<div>
						按照CSS规范,浮动元素(floats)会被移出文档流,不会影响到块状盒子的布局而只会影响内联盒子(通常是文本)的排列.因此当其高度超出包含容器时,一般父容器不会自动伸长以闭合浮动元素.但是有时我们却 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybj5N6z.html" rel="bookmark" class="title">7月18日：瑞星播报--&OpenCurlyDoubleQuote;灰鸽子变种HO&rdquo;病毒</a>
					<div>
						据瑞星全球反病毒监测网介绍,今日有一个病毒特别值得注意,它是:&quot;灰鸽子变种HO(Backdoor.Win32.Gpigeon.ho)&quot;病毒.该病毒是后门程序,利用它提供的功能,黑客 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNB6xM.html" rel="bookmark" class="title">628事件中网站被K 你是否知晓是何原因所致？</a>
					<div>
						在近日,无论是站长论坛也好,站长群也罢,628事件无疑是最为热门的话题之一,当然这也是百度近些年来第一次这么大幅度的调整,以至于很多网站被K,当然小编手下的一个站点也未能幸免,当面对站点被K的时候,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeOJAM.html" rel="bookmark" class="title">新手seoer如何运用nofollow标签</a>
					<div>
						很多新手seoer还不知道什么是Nofollow?Nofolloow有什么作用?和那些常见的表现方式?今天夏洛就简单的介绍下Nofollow的作用和使用方法,让大家的网站有更好的排名. Nofollo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NWd0z.html" rel="bookmark" class="title">Groovy探索之MOP 九 Interceptor 一</a>
					<div>
						近几年以来,AOP(面向方面的编程)得到了广泛的应用,我们把它应用到例如打印日志.权限控制等各个方面.而在实现AOP的时候,我们一般都借助于工具,如Spring AOP等等. 当然,我们借助于工具一般 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBre4b.html" rel="bookmark" class="title">路由器tplink845怎么拨号上网</a>
					<div>
						  路由器tplink845拨号上网的方法: 根据入户宽带线路的不同,可以分为网线.电话线.光纤三种接入方式.具体连接方式请参考下列动态拓扑图. 连接完成后,检查路由器的指示灯是否正常: 1.开始设置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5A46Dp.html" rel="bookmark" class="title">如何用Excel批量改名</a>
					<div>
						  如果要给一批办公文档的文件名前面都加上数字序号,除了一个接一个地手动添加更名外,还有什么方便的办法吗?其实很简单,利用记事本和Excel就能实现批量对无规律文件改名的目的. 这里有一批办公文档,文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4wZ8p.html" rel="bookmark" class="title">百度输入法怎么打表情符号</a>
					<div>
						  1.我们打开百度输入法,然后我们点击设置,然后再设置中选择&quot;符号&quot; 2.在弹出的对话框中点击&quot;表情&quot;,点击我们要输入的表情符 操作很简单,大家都知道了吧					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaOQkz.html" rel="bookmark" class="title">WPS文字怎么设置页面分隔符</a>
					<div>
						  Word文档如何设置页面想必大家已经很娴熟了,那么在WPS文字中又该如何设置页面呢?WPS文字除了具备Word中的页边距.纸张.版式和文档网格等设置外,更提供了分隔符.分栏.行号.背景.页面边框. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3Vn8M.html" rel="bookmark" class="title">Photoshop制作简洁网页导航</a>
					<div>
						最终效果图 图00 1.创建一个 1000×750像素大小的文件,双击背景图层将其变为可编辑的图层,并打开图层样式&gt;颜色叠加,用#47382e叠加. 图01 2.打开标尺(视图 &gt; 标尺) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7257qp.html" rel="bookmark" class="title">PS层次加工打造草原风光大片</a>
					<div>
						  原片 修饰后         注:更多精彩教程请关注三联photoshop教程栏目,三联PS群:339853166欢迎你的加入 分类: PS图片处理					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWX3Rep.html" rel="bookmark" class="title">怎么优化关机速度？</a>
					<div>
						  1.修改注册表的run键,取消那几个不常用的东西,比如Windows Messenger.启用注册表管理器:开始→运行→Regedit→找到&quot;HKEY_CURRENT_USERSoftw ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArN0Zp.html" rel="bookmark" class="title">linux qt4-RedHat企业版6&period;2中编译安装Qt4&period;8&period;5后，进入&sol;tools&sol;qvfb中gmake出现以下错误</a>
					<div>
						问题描述 RedHat企业版6.2中编译安装Qt4.8.5后,进入/tools/qvfb中gmake出现以下错误 有懂的人给看看是怎么回事,急求高手解答.错误如下:.obj/release-share ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGQglb.html" rel="bookmark" class="title">ios开发 布局-iOS应用内加载Web如何实现内置Safari的效果（见图）</a>
					<div>
						问题描述 iOS应用内加载Web如何实现内置Safari的效果(见图) 应用内夹在Web如何实现内置Safari的效果(见图) 顶部和底部栏特征开发 布局-iOS应用内加载Web如何实现内置Safar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Znv4b.html" rel="bookmark" class="title">signalR 实现数据库实时推送数据</a>
					<div>
						问题描述 signalR 实现数据库实时推送数据 软件:VS2015/MSSQL2014问题:为什么下图的前端显示内容 传表就可以 而像我传num的一个数就不行了?? 解决方案 传一个数字也可以,但是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6R98b.html" rel="bookmark" class="title">installshield-Basic MSI工程中怎么自定义一个Property</a>
					<div>
						问题描述 Basic MSI工程中怎么自定义一个Property 在Basic MSI中,没有CMDLINE这样的系统变量.可以通过传值给Property,可是我不知道怎么在Basic MSI中自定义 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo9nGb.html" rel="bookmark" class="title">归档&mdash;监控ORACLE数据库告警日志</a>
					<div>
						ORACLE的告警日志里面包含许多有用的信息,尤其是一些ORACLE的ORA错误信息,所以有必要及时归档.监控数据库告警日志的ORA错误,及时提醒数据库管理员DBA处理这些错误信息,那么我们首先来看看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamW3Qb.html" rel="bookmark" class="title">MySQL MyISAM 添加外键失败</a>
					<div>
						MySQL 在做某个表的外键关联时,提示如下错误 1215 - Cannot add foreign key constraint 后查,该表的存储引擎为 MyISAM 在 MySQL 的官方文档中提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjL8a0p.html" rel="bookmark" class="title">c&num; 下拉列表框设置只能下拉不能输入，并显示TEXT</a>
					<div>
						问题描述 c# 下拉列表框设置只能下拉不能输入,并显示TEXT 请问如何设置下拉设置下只能下拉不能输入,并显示TEXT:DropDownStyle 设置为 DropDownList的话,TEXT就不能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0YBBM.html" rel="bookmark" class="title">如何轻松创建MySQL数据库</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 近日,国际著名开源数据库厂商MySQL的中国研究中心与天津海量信息技术有限公司签署了战略协议,海量科技将为MySQL最大程度在中国实现本地化,抢占中国开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YkKBz.html" rel="bookmark" class="title">分解式服务器的好处在于提高效率</a>
					<div>
						在未来的数据中心,分解式服务器的作用仍然不明朗,潜在的用户看到其可以提高效率的潜力,因而仍然对此有大量的关注. 该技术使大部分基础设施适用于电信运营商和企业IT部门的可能性,它也可能是为供应商销售更多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEkDJM.html" rel="bookmark" class="title">SpriteBuilder中同父节点的显示顺序</a>
					<div>
						如下图: 到目前为止,GameScene依赖于节点在SpriteBuilder中的顺序去决定其绘制的顺序. level content(_levelNode)被首先绘制,然后GameMenuLayer ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkXE8M.html" rel="bookmark" class="title">这种json怎么用Gson解析&comma;</a>
					<div>
						问题描述 网上的教程一般都是简单的形式,我实际从webservice拿下来的json是如下形式.试了试总是不行.[{&quot;@__type&quot;:&quot;sdo:com.inbasis. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eA59b.html" rel="bookmark" class="title">我想每次请求后台时，保存一笔数据到一个集合，最后一次一起保存到数据库</a>
					<div>
						问题描述 前台分页显示数据,翻第二页的时候,第一页的数据保存到集合listAll,翻第三页的时候,保存第二页数据到listAll...最后点提交的时候,一起把listAll中的数据保存到数据库.这样怎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JDX0z.html" rel="bookmark" class="title">求解题&period;&period;&period;&period;java&amp;amp&semi;amp&semi;gt&semi;array</a>
					<div>
						问题描述 小弟己寫了classFood&gt;&gt;&gt;http://codepad.org/veOZ5kpTclassDrink&gt;&gt;http://codepad.org/6XT86 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodrajM.html" rel="bookmark" class="title">暴雪中国总经理、发行副总裁戴锦和决定离开暴雪</a>
					<div>
						网易科技讯 7月21日消息,暴雪娱乐今日宣布,暴雪http://www.aliyun.com/zixun/aggregation/1459.html&quot;&gt;中国总经理.发行副总裁戴锦和决定 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
